APP_NAME="App Name"
APP_ENV=local
APP_KEY=base64:hSCTwZ507IdKQ5QJHJ+mQw0DSMgDdAspasjwHCdiB8Y=
APP_DEBUG=true
APP_DOMAIN=localhost
APP_URL="https://${APP_DOMAIN}"
ADMIN_EMAIL=""

GIT_HASH="00000000"
GIT_TAG="x.x.x"
GIT_BRANCH="master"
GIT_DIRTY_STATE=false

LOG_CHANNEL=stack
LOG_DEPRECATIONS_CHANNEL=null
LOG_LEVEL=debug

DB_CONNECTION=mysql
DB_HOST=mariadb
DB_PORT=3306
DB_DATABASE=database_name
DB_USERNAME=root
DB_PASSWORD=root

BROADCAST_DRIVER=log
CACHE_DRIVER=file
FILESYSTEM_DRIVER=local
QUEUE_CONNECTION=sync
SESSION_DRIVER=database
SESSION_LIFETIME=120
#SESSION_STORE=redis
#SESSION_DOMAIN="${APP_DOMAIN}"
#SESSION_SECURE_COOKIE=true

MEMCACHED_HOST=memcache

REDIS_HOST=redis
REDIS_PASSWORD=null
REDIS_PORT=6379

MAIL_MAILER=smtp
MAIL_HOST=mailhog
MAIL_PORT=1125
MAIL_USERNAME=null
MAIL_PASSWORD=null
MAIL_ENCRYPTION=null
MAIL_FROM_ADDRESS="hello@${APP_DOMAIN}"
MAIL_FROM_NAME="${APP_NAME}"

SCOUT_DRIVER=meilisearch
SCOUT_PREFIX=
SCOUT_QUEUE=false
MEILISEARCH_HOST=http://localhost:7700
MEILISEARCH_KEY=
MEILISEARCH_PRIVATE_KEY=
MEILISEARCH_PUBLIC_KEY=

GOOGLE_GEOCODE_API_KEY=

MINIO_USERNAME=
MINIO_PASSWORD=
MINIO_DEFAULT_REGION=us-west-1
MINIO_BUCKET=
MINIO_URL=
MINIO_ENDPOINT=
MINIO_USE_PATH_STYLE_ENDPOINT=false

AWS_ACCESS_KEY_ID=
AWS_SECRET_ACCESS_KEY=
AWS_DEFAULT_REGION=us-east-1
AWS_BUCKET=
AWS_USE_PATH_STYLE_ENDPOINT=false

PUSHER_APP_ID=
PUSHER_APP_KEY=
PUSHER_APP_SECRET=
PUSHER_APP_CLUSTER=mt1

MIX_PUSHER_APP_KEY="${PUSHER_APP_KEY}"
MIX_PUSHER_APP_CLUSTER="${PUSHER_APP_CLUSTER}"
MIX_PUSHER_HOST="${PUSHER_HOST}"
MIX_PUSHER_PORT="${PUSHER_PORT}"
MIX_PUSHER_SCHEME="${PUSHER_SCHEME}"

INTEGRITY_HASH_HUMANS_TXT=""
INTEGRITY_HASH_ROBOTS_TXT=""
INTEGRITY_HASH_COPYRIGHT_HTML=""
INTEGRITY_HASH_COPYRIGHT_MD=""
INTEGRITY_HASH_RSS_FEED=""
INTEGRITY_HASH_ATOM_FEED=""
INTEGRITY_HASH_FAVICON_ICO=""
INTEGRITY_HASH_FAVICON_PNG=""
INTEGRITY_HASH_FAVICON_SVG=""
INTEGRITY_HASH_NUNITO_REGULAR_WOFF2_FONT=""
INTEGRITY_HASH_POIRETONE_REGULAR_WOFF2_FONT=""
INTEGRITY_HASH_WEBMANIFEST_JSON=""
INTEGRITY_HASH_MIX_MANIFEST_JSON=""
INTEGRITY_HASH_APP_CSS=""
INTEGRITY_HASH_APP_JS=""

## Clockwork debug helpers
## default values are set, except for the main enable switch
CLOCKWORK_ENABLE=true
CLOCKWORK_WEB=true
CLOCKWORK_AUTHENTICATION=false
#CLOCKWORK_AUTHENTICATION_PASSWORD=VerySecretPassword
CLOCKWORK_CACHE_COLLECT_VALUES=true
#CLOCKWORK_DATABASE_SLOW_THRESHOLD= # time in miliseconds
#CLOCKWORK_REQUESTS_SLOW_THRESHOLD= # time in miliseconds
